/preview/marketing-solutions/marketplace-performance-outcomes/stats/product-reports/export
curl --request POST \
--url https://api.criteo.com/preview/marketing-solutions/marketplace-performance-outcomes/stats/product-reports/export \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"type": "ProductReportJob",
"attributes": {
"fileFormat": "json",
"startDate": "2026-09-01T00:00:00.0000000+00:00",
"endDate": "2026-09-04T00:00:00.0000000+00:00",
"advertiserIds": [
"123"
],
"campaignIds": [
"111"
],
"adSetIds": [
"135"
],
"dimensions": [
"adSetId",
"sellerId",
"productId"
],
"metrics": [
"impressions",
"clicks",
"cost"
]
}
}
}
'import requests
url = "https://api.criteo.com/preview/marketing-solutions/marketplace-performance-outcomes/stats/product-reports/export"
payload = { "data": {
"type": "ProductReportJob",
"attributes": {
"fileFormat": "json",
"startDate": "2026-09-01T00:00:00.0000000+00:00",
"endDate": "2026-09-04T00:00:00.0000000+00:00",
"advertiserIds": ["123"],
"campaignIds": ["111"],
"adSetIds": ["135"],
"dimensions": ["adSetId", "sellerId", "productId"],
"metrics": ["impressions", "clicks", "cost"]
}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
type: 'ProductReportJob',
attributes: {
fileFormat: 'json',
startDate: '2026-09-01T00:00:00.0000000+00:00',
endDate: '2026-09-04T00:00:00.0000000+00:00',
advertiserIds: ['123'],
campaignIds: ['111'],
adSetIds: ['135'],
dimensions: ['adSetId', 'sellerId', 'productId'],
metrics: ['impressions', 'clicks', 'cost']
}
}
})
};
fetch('https://api.criteo.com/preview/marketing-solutions/marketplace-performance-outcomes/stats/product-reports/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"type": "ReportJobStatus",
"attributes": {
"exportId": "e0893b6b-be25-477f-9ca3-e6e8c8ec9e30",
"status": "Pending",
"message": null
}
},
"warnings": [],
"errors": []
}/preview/marketing-solutions/marketplace-performance-outcomes/stats/product-reports/export
Creates an MPO products report export job.
This endpoint is subject to specific rate limits.
POST
/
preview
/
marketing-solutions
/
marketplace-performance-outcomes
/
stats
/
product-reports
/
export
/preview/marketing-solutions/marketplace-performance-outcomes/stats/product-reports/export
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
The MPO products report export request.
A top-level object that encapsulates a Criteo API request for a single value object.
A value resource exposed by the API.
Show child attributes
Show child attributes
Response
200 - application/json
Success
A top-level object that encapsulates a Criteo API response for a single value object.
Was this page helpful?